BEGIN;
create table annotation_types (id number(10,0) not null, name varchar2(255), primary key (id));
create table annotations (id number(10,0) not null, attribute_id number(10,0), edge_id number(10,0), position_id number(10,0), range_id number(10,0), type_id number(10,0), primary key (id));
create table attributes (id number(10,0) not null, value varchar2(255), primary key (id));
create table cross_section_lines (id number(10,0) not null, km number(19,2), cross_section_id number(10,0), primary key (id));
create table cross_section_points (id number(10,0) not null, col_pos number(10,0), x number(19,2), y number(19,2), cross_section_line_id number(10,0), primary key (id));
create table cross_sections (id number(10,0) not null, description varchar2(255), river_id number(10,0), time_interval_id number(10,0), primary key (id));
create table discharge_table_values (id number(10,0) not null, q number(19,2), w number(19,2), table_id number(10,0), primary key (id));
create table discharge_tables (id number(10,0) not null, description varchar2(255), kind number(10,0), gauge_id number(10,0), time_interval_id number(10,0), primary key (id));
create table edges (id number(10,0) not null, bottom number(19,2), top number(19,2), primary key (id));
create table gauges (id number(10,0) not null, aeo number(19,2), datum number(19,2), name varchar2(255), station number(19,2), range_id number(10,0), river_id number(10,0), primary key (id));
create table hyk_entries (id number(10,0) not null, km number(19,2), measure date, hyk_id number(10,0), primary key (id));
create table hyk_flow_zone_types (id number(10,0) not null, description varchar2(255), name varchar2(255), primary key (id));
create table hyk_flow_zones (id number(10,0) not null, a number(19,2), b number(19,2), formation_id number(10,0), type_id number(10,0), primary key (id));
create table hyk_formations (id number(10,0) not null, bottom number(19,2), distance_hf number(19,2), distance_vl number(19,2), distance_vr number(19,2), formation_num number(10,0), top number(19,2), hyk_entry_id number(10,0), primary key (id));
create table hyks (id number(10,0) not null, description varchar2(255), river_id number(10,0), primary key (id));
create table main_value_types (id number(10,0) not null, name varchar2(255), primary key (id));
create table main_values (id number(10,0) not null, value number(19,2), gauge_id number(10,0), named_value_id number(10,0), time_interval_id number(10,0), primary key (id));
create table named_main_values (id number(10,0) not null, name varchar2(255), type_id number(10,0), primary key (id));
create table positions (id number(10,0) not null, value varchar2(255), primary key (id));
create table ranges (id number(10,0) not null, a number(19,2), b number(19,2), river_id number(10,0), primary key (id));
create table rivers (id number(10,0) not null, km_up number(1,0), name varchar2(255), primary key (id));
create table time_intervals (id number(10,0) not null, start_time date, stop_time date, primary key (id));
create table wst_column_q_ranges (id number(10,0) not null, wst_column_id number(10,0), wst_q_range_id number(10,0), primary key (id));
create table wst_column_values (id number(10,0) not null, position number(19,2), w number(19,2), wst_column_id number(10,0), primary key (id));
create table wst_columns (id number(10,0) not null, description varchar2(255), name varchar2(255), position number(10,0), time_interval_id number(10,0), wst_id number(10,0), primary key (id));
create table wst_q_ranges (id number(10,0) not null, q number(19,2), range_id number(10,0), primary key (id));
create table wsts (id number(10,0) not null, description varchar2(255), kind number(10,0), river_id number(10,0), primary key (id));
alter table annotations add constraint FKC6AD7B2476703DB3 foreign key (range_id) references ranges;
alter table annotations add constraint FKC6AD7B24E838461 foreign key (edge_id) references edges;
alter table annotations add constraint FKC6AD7B24FF598161 foreign key (position_id) references positions;
alter table annotations add constraint FKC6AD7B24483998D3 foreign key (attribute_id) references attributes;
alter table annotations add constraint FKC6AD7B245AE11A50 foreign key (type_id) references annotation_types;
alter table cross_section_lines add constraint FK4072AB66BF9BA960 foreign key (cross_section_id) references cross_sections;
alter table cross_section_points add constraint FKD5088D5CF337114D foreign key (cross_section_line_id) references cross_section_lines;
alter table cross_sections add constraint FKC2C43F4D2B365753 foreign key (river_id) references rivers;
alter table cross_sections add constraint FKC2C43F4D452A8FDC foreign key (time_interval_id) references time_intervals;
alter table discharge_table_values add constraint FK56DD4B10C1ABE65F foreign key (table_id) references discharge_tables;
alter table discharge_tables add constraint FKF143882452A8FDC foreign key (time_interval_id) references time_intervals;
alter table discharge_tables add constraint FKF143882B1A5433 foreign key (gauge_id) references gauges;
alter table gauges add constraint FKB550CE9A2B365753 foreign key (river_id) references rivers;
alter table gauges add constraint FKB550CE9A76703DB3 foreign key (range_id) references ranges;
alter table hyk_entries add constraint FK19EBA6CBEDF9E6D3 foreign key (hyk_id) references hyks;
alter table hyk_flow_zones add constraint FK22F80BDB3C831087 foreign key (formation_id) references hyk_formations;
alter table hyk_flow_zones add constraint FK22F80BDB697E0D07 foreign key (type_id) references hyk_flow_zone_types;
alter table hyk_formations add constraint FK97CFDC71A08D08C foreign key (hyk_entry_id) references hyk_entries;
alter table hyks add constraint FK311A392B365753 foreign key (river_id) references rivers;
alter table main_values add constraint FKD85C6268452A8FDC foreign key (time_interval_id) references time_intervals;
alter table main_values add constraint FKD85C6268B1A5433 foreign key (gauge_id) references gauges;
alter table main_values add constraint FKD85C6268DE623F5 foreign key (named_value_id) references named_main_values;
alter table named_main_values add constraint FK5EA68A62CBC256EB foreign key (type_id) references main_value_types;
alter table ranges add constraint FKC812EED62B365753 foreign key (river_id) references rivers;
alter table wst_column_q_ranges add constraint FKA28D6C067DA2F764 foreign key (wst_column_id) references wst_columns;
alter table wst_column_q_ranges add constraint FKA28D6C066A71480F foreign key (wst_q_range_id) references wst_q_ranges;
alter table wst_column_values add constraint FK992F4F447DA2F764 foreign key (wst_column_id) references wst_columns;
alter table wst_columns add constraint FKE77A73B6452A8FDC foreign key (time_interval_id) references time_intervals;
alter table wst_columns add constraint FKE77A73B67425E13 foreign key (wst_id) references wsts;
alter table wst_q_ranges add constraint FK70E459AB76703DB3 foreign key (range_id) references ranges;
alter table wsts add constraint FK37D65B2B365753 foreign key (river_id) references rivers;
create sequence ANNOTATIONS_ID_SEQ;
create sequence ANNOTATION_TYPES_ID_SEQ;
create sequence ATTRIBUTES_ID_SEQ;
create sequence CROSS_SECTIONS_ID_SEQ;
create sequence CROSS_SECTION_LINES_ID_SEQ;
create sequence CROSS_SECTION_POINTS_ID_SEQ;
create sequence DISCHARGE_TABLES_ID_SEQ;
create sequence DISCHARGE_TABLE_VALUES_ID_SEQ;
create sequence EDGES_ID_SEQ;
create sequence GAUGES_ID_SEQ;
create sequence HYKS_ID_SEQ;
create sequence HYK_ENTRIES_ID_SEQ;
create sequence HYK_FLOW_ZONES_ID_SEQ;
create sequence HYK_FLOW_ZONE_TYPES_ID_SEQ;
create sequence HYK_FORMATIONS_ID_SEQ;
create sequence MAIN_VALUES_ID_SEQ;
create sequence MAIN_VALUE_TYPES_ID_SEQ;
create sequence NAMED_MAIN_VALUES_ID_SEQ;
create sequence POSITIONS_ID_SEQ;
create sequence RANGES_ID_SEQ;
create sequence RIVERS_ID_SEQ;
create sequence TIME_INTERVALS_ID_SEQ;
create sequence WSTS_ID_SEQ;
create sequence WST_COLUMNS_ID_SEQ;
create sequence WST_COLUMN_VALUES_ID_SEQ;
create sequence WST_Q_RANGES_ID_SEQ;
COMMIT;
